> ## Documentation Index
> Fetch the complete documentation index at: https://www.dataframer.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List red team runs

> Get all red team runs for your company

<Tip>
  Use the `spec_id` query parameter to filter runs by a specific red team spec.
</Tip>


## OpenAPI

````yaml GET /api/dataframer/red-team-runs/
openapi: 3.0.0
info:
  title: DataFramer API
  version: 0.1.0
  description: ''
  termsOfService: https://www.aimon.ai/docs/privacy-policy.pdf
  contact:
    name: DataFramer Support
    email: info@dataframer.ai
  license:
    name: Proprietary
  x-logo:
    url: https://dataframer.ai/logo.png
    altText: DataFramer AI
  x-stainless:
    package-name: aimon-dataframer
    namespace:
      - aimon
      - dataframer
servers:
  - url: https://df-api.dataframer.ai
    description: Production server
security:
  - BearerAuth: []
externalDocs:
  description: Complete API Guide
  url: https://docs.dataframer.ai/dataframer
paths:
  /api/dataframer/red-team-runs/:
    get:
      summary: List red team runs
      description: >-
        Get all red team runs for your company.


        Use the `spec_id` query parameter to filter runs by a specific red team
        spec.
      operationId: api_dataframer_red-team-runs_list
      parameters:
        - name: spec_id
          in: query
          required: false
          description: Filter runs by red team spec ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of red team runs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RedTeamRunListItem'
        '401':
          description: Authentication credentials were not provided
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from dataframer import Dataframer

            client = Dataframer(
                api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
            )
            red_team_runs = client.dataframer.red_team_runs.list()
            print(red_team_runs)
        - lang: cURL
          source: |-
            curl https://df-api.dataframer.ai/api/dataframer/red-team-runs/ \
                -H "Authorization: Bearer $DATAFRAMER_API_KEY"
components:
  schemas:
    RedTeamRunListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the run
        red_team_spec_id:
          type: string
          format: uuid
          description: ID of the red team spec
        spec_name:
          type: string
          description: Name of the associated spec
        number_of_behaviors:
          type: integer
          description: Number of behaviors generated
        number_of_prompts_per_behavior:
          type: integer
          description: Number of prompts per behavior
        model_name:
          type: string
          description: Model used for generation
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - SUCCEEDED
            - FAILED
            - CANCELED
          description: Current status of the run
        completed_at:
          type: string
          format: date-time
          nullable: true
          description: When the run completed
        created_by_email:
          type: string
          description: Email of the creator
        created_at:
          type: string
          format: date-time
          description: When the run was created
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API Key authentication. Format: "Bearer YOUR_API_KEY"'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.